<div align="center">

[![](https://img.shields.io/badge/flutter2.0-NullSafety-1)](#)
[![All Contributors](https://img.shields.io/badge/all_contributors-4-orange.svg?style=flat-square)](#contributors-)
[![](https://img.shields.io/badge/Version-社区版-1)](#)
[![](https://img.shields.io/pub/v/tencent_im_plugin.svg)](https://pub.dartlang.org/packages/tencent_im_plugin)
[![](https://img.shields.io/github/license/JiangJuHong/FlutterTencentImPlugin)](https://www.apache.org/licenses/LICENSE-2.0)
[![](https://img.shields.io/badge/qq群-850923396-1)](https://jq.qq.com/?_wv=1027&k=QxCWMlUf)

</div>

# What is FlutterTencentIm ？

FlutterTencentIM是基于[腾讯云即时通讯](https://cloud.tencent.com/product/im)服务进行的Flutter封装，为Flutter提供即时通讯服务.

# Notice

💐💐 新版插件支持空安全(`null-safety`)，如需查看非空安全版本，请切换分支到:`sdk-5.1.x-non-null-safety`💐💐  
💐 FlutterTencentIm 开放 Pull Request，merge 成功后会在 README.md
上留下您的大名并超链到您的 Github 主页！

# 官方版和社区版的区别
* 两者的区别：本质上官方版和社区版都是基于IM的SDK进行封装，官方版的更偏向三端写法类似(Android、IOS、Flutter)，社区版则提供更便捷的使用方式(1分钟上手即用)(例: FlutterImPlugin.login)。
* 该如何选择：根据个人编码习惯选择即可。
* 维护的周期：社区版和官方版均在持续迭代，发现异常将会在第一时间进行修复。

# Sdk Version

| 平台    | SDK版本 |
|:--------|:-------|
| Android | 5.1.50 |
| IOS     | 5.1.50 |

# Links

* [Document](https://www.yuque.com/jiangjuhong/tencent-im-flutter/zk6p14)
* [Chat](https://jq.qq.com/?_wv=1027&k=QxCWMlUf)
* [Sponsor](https://www.yuque.com/jiangjuhong/tencent-im-flutter/ygi582)

# Customization

如果您的项目有定制化需求，可通过QQ(690717394) 或 邮箱(690717394@qq.com)
联系我，该项服务为有偿服务，具体价格根据需求量进行决定。

# Other Plugins

````
我同时维护的还有以下插件，如果您感兴趣与我一起进行维护，请通过Github联系我，欢迎 issues 和 PR。
````

| 平台     | 插件                                                                                      | 描述                      | 版本                                                                                                                                 |
|:--------|:------------------------------------------------------------------------------------------|:-------------------------|:------------------------------------------------------------------------------------------------------------------------------------|
| Flutter | [FlutterVideoPlayerLibrary-Desc](https://github.com/JiangJuHong/FlutterVideoPlayerLibrary-Desc) | Flutter 最好用的播放器(UI库) | - |
| Flutter | [FlutterPerfectVolumeControl](https://github.com/JiangJuHong/FlutterPerfectVolumeControl) | Flutter 完美的音量控制器插件 | [![pub package](https://img.shields.io/pub/v/perfect_volume_control.svg)](https://pub.dartlang.org/packages/perfect_volume_control) |
| Flutter | [FlutterTencentImPlugin](https://github.com/JiangJuHong/FlutterTencentImPlugin)           | 腾讯云IM插件               | [![pub package](https://img.shields.io/pub/v/tencent_im_plugin.svg)](https://pub.dartlang.org/packages/tencent_im_plugin)           |
| Flutter | [FlutterTencentRtcPlugin](https://github.com/JiangJuHong/FlutterTencentRtcPlugin)         | 腾讯云Rtc插件              | [![pub package](https://img.shields.io/pub/v/tencent_rtc_plugin.svg)](https://pub.dartlang.org/packages/tencent_rtc_plugin)         |
| Flutter | [FlutterXiaoMiPushPlugin](https://github.com/JiangJuHong/FlutterXiaoMiPushPlugin)         | 小米推送SDK插件            | [![pub package](https://img.shields.io/pub/v/xiao_mi_push_plugin.svg)](https://pub.dartlang.org/packages/xiao_mi_push_plugin)       |
| Flutter | [FlutterHuaWeiPushPlugin](https://github.com/JiangJuHong/FlutterHuaWeiPushPlugin)         | 华为推送(HMS Push)插件     | [![pub package](https://img.shields.io/pub/v/hua_wei_push_plugin.svg)](https://pub.dartlang.org/packages/hua_wei_push_plugin)       |
| Flutter | [FlutterTextSpanField](https://github.com/JiangJuHong/FlutterTextSpanField)               | 自定义文本样式输入框         | [![pub package](https://img.shields.io/pub/v/text_span_field.svg)](https://pub.dartlang.org/packages/text_span_field)               |
| Flutter | [FlutterClipboardListener](https://github.com/JiangJuHong/FlutterClipboardListener)       | 粘贴板监听器               | [![pub package](https://img.shields.io/pub/v/clipboard_listener.svg)](https://pub.dartlang.org/packages/clipboard_listener)         |
| Flutter | [FlutterQiniucloudLivePlugin](https://github.com/JiangJuHong/FlutterQiniucloudLivePlugin) | Flutter 七牛云直播云插件    | 暂未发布，通过 git 集成                                                                                                                           |


## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://github.com/kxr224"><img src="https://avatars.githubusercontent.com/u/28681083?v=4?s=100" width="100px;" alt=""/><br /><sub><b>cyrus</b></sub></a><br /><a href="https://github.com/JiangJuHong/FlutterTencentImPlugin/issues?q=author%3Akxr224" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/songjiabin"><img src="https://avatars.githubusercontent.com/u/13177100?v=4?s=100" width="100px;" alt=""/><br /><sub><b>宋佳宾</b></sub></a><br /><a href="https://github.com/JiangJuHong/FlutterTencentImPlugin/commits?author=songjiabin" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/ligui-iOS"><img src="https://avatars.githubusercontent.com/u/20856361?v=4?s=100" width="100px;" alt=""/><br /><sub><b>ligui-iOS</b></sub></a><br /><a href="https://github.com/JiangJuHong/FlutterTencentImPlugin/commits?author=ligui-iOS" title="Code">💻</a></td>
    <td align="center"><a href="http://laiiihz.github.io"><img src="https://avatars.githubusercontent.com/u/35956195?v=4?s=100" width="100px;" alt=""/><br /><sub><b>LAIIIHZ</b></sub></a><br /><a href="https://github.com/JiangJuHong/FlutterTencentImPlugin/commits?author=laiiihz" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
